Index: main/logger.c
===================================================================
--- main/logger.c	(revisión: 282960)
+++ main/logger.c	(copia de trabajo)
@@ -677,7 +677,7 @@
 			ast_unload_realtime("queue_log");
 			if (ast_check_realtime("queue_log")) {
 				if (!ast_realtime_require_field("queue_log",
-						"time", RQ_DATETIME, 26, "data1", RQ_CHAR, 20,
+						"time", RQ_DATETIME, 8, "data1", RQ_CHAR, 20,
 						"data2", RQ_CHAR, 20, "data3", RQ_CHAR, 20,
 						"data4", RQ_CHAR, 20, "data5", RQ_CHAR, 20, SENTINEL)) {
 					logfiles.queue_adaptive_realtime = 1;
@@ -1037,7 +1037,7 @@
 	ast_unload_realtime("queue_log");
 	if (logfiles.queue_log && ast_check_realtime("queue_log")) {
 		if (!ast_realtime_require_field("queue_log",
-				"time", RQ_DATETIME, 26, "data1", RQ_CHAR, 20,
+				"time", RQ_DATETIME, 8, "data1", RQ_CHAR, 20,
 				"data2", RQ_CHAR, 20, "data3", RQ_CHAR, 20,
 				"data4", RQ_CHAR, 20, "data5", RQ_CHAR, 20, SENTINEL)) {
 			logfiles.queue_adaptive_realtime = 1;
Index: res/res_config_pgsql.c
===================================================================
--- res/res_config_pgsql.c	(revisión: 282960)
+++ res/res_config_pgsql.c	(copia de trabajo)
@@ -1179,6 +1179,12 @@
 							size, column->type);
 						res = -1;
 					}
+				/* Datetime can hold the date and time if it's large enough */
+                                } else if (strncmp(column->type, "timestamp", 9) == 0 && type == RQ_DATETIME) {
+                                        if ((size > column->len) && column->len != -1) {
+                                                ast_log(LOG_WARNING, "Column '%s' should be at least %d long, but is only %d long.\n", column->name, size, column->len);
+                                                res = -1;
+                                        }
 				} else if (strncmp(column->type, "float", 5) == 0 && !ast_rq_is_int(type) && type != RQ_FLOAT) {
 					ast_log(LOG_WARNING, "Column %s cannot be a %s\n", column->name, column->type);
 					res = -1;
